attacca
Kanban

Create a card

POST
/v1/kanban/boards/{board_id}/cards

Authorization

api_key kanban:write
AuthorizationBearer <token>

An atk_-prefixed API key, created under Settings → API keys.

In: header

Scope: kanban:write

Path Parameters

board_id*string

Board id

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/kanban/boards/497f6eca-6276-4993-bfeb-53cbbbba6f08/cards" \  -H "Content-Type: application/json" \  -d '{    "column_id": "8f0515e3-00f6-4dd0-8153-321f1f40863d",    "title": "string"  }'
{  "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",  "board_id": "75e8c400-2dbc-43a3-9af4-ff9e6c099385",  "column_id": "8f0515e3-00f6-4dd0-8153-321f1f40863d",  "created_at": "2019-08-24T14:15:22Z",  "description": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "last_run_session_id": "530bf676-b7b7-4e99-a8c6-020b42ebf29a",  "last_run_status": "string",  "position": 0,  "title": "string",  "updated_at": "2019-08-24T14:15:22Z"}